### Hierarchy

- PaymentAccountsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorCreateCryptoCurrencyPaymentAccount
- methodDescriptorCreatePaymentAccount
- methodDescriptorGetCryptoCurrencyPaymentMethods
- methodDescriptorGetPaymentAccountForm
- methodDescriptorGetPaymentAccountFormAsJson
- methodDescriptorGetPaymentAccounts
- methodDescriptorGetPaymentMethods
- methodDescriptorValidateFormField
- options_

### Methods

- createCryptoCurrencyPaymentAccount
- createPaymentAccount
- getCryptoCurrencyPaymentMethods
- getPaymentAccountForm
- getPaymentAccountFormAsJson
- getPaymentAccounts
- getPaymentMethods
- validateFormField

## Constructors

### constructor

- new PaymentAccountsClient(hostname: string, credentials?: null | {}, options?: null | {}): PaymentAccountsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1978

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns PaymentAccountsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1973

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1975

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1974

### methodDescriptorCreateCryptoCurrencyPaymentAccount

methodDescriptorCreateCryptoCurrencyPaymentAccount: MethodDescriptor < CreateCryptoCurrencyPaymentAccountRequest , CreateCryptoCurrencyPaymentAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2206

### methodDescriptorCreatePaymentAccount

methodDescriptorCreatePaymentAccount: MethodDescriptor < CreatePaymentAccountRequest , CreatePaymentAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1991

### methodDescriptorGetCryptoCurrencyPaymentMethods

methodDescriptorGetCryptoCurrencyPaymentMethods: MethodDescriptor < GetCryptoCurrencyPaymentMethodsRequest , GetCryptoCurrencyPaymentMethodsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2249

### methodDescriptorGetPaymentAccountForm

methodDescriptorGetPaymentAccountForm: MethodDescriptor < GetPaymentAccountFormRequest , GetPaymentAccountFormReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2120

### methodDescriptorGetPaymentAccountFormAsJson

methodDescriptorGetPaymentAccountFormAsJson: MethodDescriptor < GetPaymentAccountFormAsJsonRequest , GetPaymentAccountFormAsJsonReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2163

### methodDescriptorGetPaymentAccounts

methodDescriptorGetPaymentAccounts: MethodDescriptor < GetPaymentAccountsRequest , GetPaymentAccountsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2034

### methodDescriptorGetPaymentMethods

methodDescriptorGetPaymentMethods: MethodDescriptor < GetPaymentMethodsRequest , GetPaymentMethodsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2077

### methodDescriptorValidateFormField

methodDescriptorValidateFormField: MethodDescriptor < ValidateFormFieldRequest , ValidateFormFieldReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2292

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1976

## Methods

### createCryptoCurrencyPaymentAccount

- createCryptoCurrencyPaymentAccount(request: CreateCryptoCurrencyPaymentAccountRequest, metadata: null | Metadata ): Promise< CreateCryptoCurrencyPaymentAccountReply >
- createCryptoCurrencyPaymentAccount(request: CreateCryptoCurrencyPaymentAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply ) => void): ClientReadableStream < CreateCryptoCurrencyPaymentAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2217

  #### Parameters

  - ##### request: CreateCryptoCurrencyPaymentAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CreateCryptoCurrencyPaymentAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2221

  #### Parameters

  - ##### request: CreateCryptoCurrencyPaymentAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply ) => void

    - - (err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateCryptoCurrencyPaymentAccountReply

        #### Returns void

  #### Returns ClientReadableStream < CreateCryptoCurrencyPaymentAccountReply >

### createPaymentAccount

- createPaymentAccount(request: CreatePaymentAccountRequest, metadata: null | Metadata ): Promise< CreatePaymentAccountReply >
- createPaymentAccount(request: CreatePaymentAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: CreatePaymentAccountReply ) => void): ClientReadableStream < CreatePaymentAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2002

  #### Parameters

  - ##### request: CreatePaymentAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CreatePaymentAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2006

  #### Parameters

  - ##### request: CreatePaymentAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CreatePaymentAccountReply ) => void

    - - (err: RpcError, response: CreatePaymentAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreatePaymentAccountReply

        #### Returns void

  #### Returns ClientReadableStream < CreatePaymentAccountReply >

### getCryptoCurrencyPaymentMethods

- getCryptoCurrencyPaymentMethods(request: GetCryptoCurrencyPaymentMethodsRequest, metadata: null | Metadata ): Promise< GetCryptoCurrencyPaymentMethodsReply >
- getCryptoCurrencyPaymentMethods(request: GetCryptoCurrencyPaymentMethodsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply ) => void): ClientReadableStream < GetCryptoCurrencyPaymentMethodsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2260

  #### Parameters

  - ##### request: GetCryptoCurrencyPaymentMethodsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetCryptoCurrencyPaymentMethodsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2264

  #### Parameters

  - ##### request: GetCryptoCurrencyPaymentMethodsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply ) => void

    - - (err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetCryptoCurrencyPaymentMethodsReply

        #### Returns void

  #### Returns ClientReadableStream < GetCryptoCurrencyPaymentMethodsReply >

### getPaymentAccountForm

- getPaymentAccountForm(request: GetPaymentAccountFormRequest, metadata: null | Metadata ): Promise< GetPaymentAccountFormReply >
- getPaymentAccountForm(request: GetPaymentAccountFormRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetPaymentAccountFormReply ) => void): ClientReadableStream < GetPaymentAccountFormReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2131

  #### Parameters

  - ##### request: GetPaymentAccountFormRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetPaymentAccountFormReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2135

  #### Parameters

  - ##### request: GetPaymentAccountFormRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetPaymentAccountFormReply ) => void

    - - (err: RpcError, response: GetPaymentAccountFormReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountFormReply

        #### Returns void

  #### Returns ClientReadableStream < GetPaymentAccountFormReply >

### getPaymentAccountFormAsJson

- getPaymentAccountFormAsJson(request: GetPaymentAccountFormAsJsonRequest, metadata: null | Metadata ): Promise< GetPaymentAccountFormAsJsonReply >
- getPaymentAccountFormAsJson(request: GetPaymentAccountFormAsJsonRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetPaymentAccountFormAsJsonReply ) => void): ClientReadableStream < GetPaymentAccountFormAsJsonReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2174

  #### Parameters

  - ##### request: GetPaymentAccountFormAsJsonRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetPaymentAccountFormAsJsonReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2178

  #### Parameters

  - ##### request: GetPaymentAccountFormAsJsonRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetPaymentAccountFormAsJsonReply ) => void

    - - (err: RpcError, response: GetPaymentAccountFormAsJsonReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountFormAsJsonReply

        #### Returns void

  #### Returns ClientReadableStream < GetPaymentAccountFormAsJsonReply >

### getPaymentAccounts

- getPaymentAccounts(request: GetPaymentAccountsRequest, metadata: null | Metadata ): Promise< GetPaymentAccountsReply >
- getPaymentAccounts(request: GetPaymentAccountsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetPaymentAccountsReply ) => void): ClientReadableStream < GetPaymentAccountsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2045

  #### Parameters

  - ##### request: GetPaymentAccountsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetPaymentAccountsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2049

  #### Parameters

  - ##### request: GetPaymentAccountsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetPaymentAccountsReply ) => void

    - - (err: RpcError, response: GetPaymentAccountsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountsReply

        #### Returns void

  #### Returns ClientReadableStream < GetPaymentAccountsReply >

### getPaymentMethods

- getPaymentMethods(request: GetPaymentMethodsRequest, metadata: null | Metadata ): Promise< GetPaymentMethodsReply >
- getPaymentMethods(request: GetPaymentMethodsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetPaymentMethodsReply ) => void): ClientReadableStream < GetPaymentMethodsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2088

  #### Parameters

  - ##### request: GetPaymentMethodsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetPaymentMethodsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2092

  #### Parameters

  - ##### request: GetPaymentMethodsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetPaymentMethodsReply ) => void

    - - (err: RpcError, response: GetPaymentMethodsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentMethodsReply

        #### Returns void

  #### Returns ClientReadableStream < GetPaymentMethodsReply >

### validateFormField

- validateFormField(request: ValidateFormFieldRequest, metadata: null | Metadata ): Promise< ValidateFormFieldReply >
- validateFormField(request: ValidateFormFieldRequest, metadata: null | Metadata, callback: (err: RpcError, response: ValidateFormFieldReply ) => void): ClientReadableStream < ValidateFormFieldReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2303

  #### Parameters

  - ##### request: ValidateFormFieldRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< ValidateFormFieldReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2307

  #### Parameters

  - ##### request: ValidateFormFieldRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: ValidateFormFieldReply ) => void

    - - (err: RpcError, response: ValidateFormFieldReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ValidateFormFieldReply

        #### Returns void

  #### Returns ClientReadableStream < ValidateFormFieldReply >

Generated using TypeDoc